Page MenuHomePhabricator

add a button to switch between source and target languages on the Content Translation dashboard
Closed, ResolvedPublic

Description

There are two places on the CX dashboard, which can benefit from a language switch button:

  • The article selector
  • The dropdowns at the bottom for filtering the lists.

From https://www.mediawiki.org/wiki/Topic:T6qi6fidr6t5yekc :
it would be good if there would be a easy button to switch between source and target language (like in google translate).

Event Timeline

Amire80 created this task.Jun 28 2016, 6:59 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJun 28 2016, 6:59 PM
Amire80 triaged this task as Normal priority.Jun 28 2016, 6:59 PM

Not really the solution, but if you enter the source language same as the target language, the current language will become source language automatically and avoid both having same language.

Amire80 moved this task from Needs Triage to Bugs on the ContentTranslation board.Jul 4 2016, 2:30 PM

Not really the solution, but if you enter the source language same as the target language, the current language will become source language automatically and avoid both having same language.

Yes, switching between languages is possible and I think sufficient for this use case. Design for language selectors changed in T169967 and had some modifications after that. On smaller screens only language codes are displayed to save screen space. Adding switch button would not benefit usage of available space on smaller screens, but we can easily hide such button.

@Pginer-WMF, what are the plans for this?

Pginer-WMF closed this task as Resolved.Mar 5 2018, 7:48 AM
Pginer-WMF claimed this task.

The new selectors make it easier to switch the languages by swapping source and target languages when the user tries to set one to the value of the other.